Subject: Re: [PATCH v3] ls-files: Add eol diagnostics

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 22 Nov 2015 09:20:37 +0100

On 21.11.2015 08:36, Torsten Bögershausen wrote:

> git ls-files --eol gives an output like this:
> 
> i/text-no-eol   w/text-no-eol   attr/text=auto t/t5100/empty

I'm sorry if this has been discussed before, but hav you considered to use a header line and omit the prefixed from the columns instead? Like

index         working tree     attributes    file

binary        binary           -text         t/test-binary-2.png
text-lf       text-lf          eol=lf        t/t5100/rfc2047-info-0007
text-lf       text-crlf        eol=crlf      doit.bat
text-crlf-lf  text-crlf-lf                   locale/XX.po

I believe this would be both easier to read for humans, and easier to parse for scripts that e.g. want to compare line endings in the index and working tree.

> +stats_ascii () {
> +	case "$1" in

[...]

> +		*)
> +		echo huh $1
> +		;;

Personally, I'm not a big fan of supposedly funny output like this. How about printing a proper message rather than "huh", even for cases that should not happen?

-- 
Sebastian Schuberth